> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# List webhooks

GET https://api.synthesia.io/v2/webhooks

List all currently configured webhooks in your Synthesia account.

Reference: https://developers.synthesia.io/docs/video-api-reference/webhooks/list-webhooks

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `limit` (integer, optional, default: 20) — This parameter lets you specify the amount of webhooks to return in your API call. The maximum amount of webhooks you can have returned to you via this parameter is 100.
- `offset` (integer, optional, default: 0) — Used to page through the webhooks. Every call to this endpoint will return the next offset value. This value is used in the offset parameter of the next call to get the next page of webhooks.
- `deleted` (boolean, optional, default: false) — If true, fetches deleted webhooks rather than active ones.

## Response

### 200

OK.

- `webhooks` (list of WebhookResponse, optional)
- `nextOffset` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request.

- `error` (string, required)
- `context` (string, optional)

## Types

### WebhookResponse

- `createdAt` (any, optional)
- `id` (string, optional)
- `secret` (string, optional)
- `status` (any, optional)
- `lastUpdatedAt` (any, optional)
- `url` (string, optional)

## Examples

**Response**

```json
{
  "webhooks": [
    {
      "id": "string",
      "secret": "string",
      "status": null,
      "url": "string"
    }
  ],
  "nextOffset": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.synthesia.io/v2/webhooks"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.synthesia.io/v2/webhooks';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/webhooks")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/webhooks', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/webhooks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```